/audit-log/{id}
1 min
GET
https://app.amberflo.io/audit-log/{id}
Path Parameters
- idstringrequired
Responses
200
- metadata.audit_log.entry.FullEntry.out
- idinteger<int64>Description
- changeTimeInMillisinteger<int64>Description
- mainTypemetadata.audit_log.MainEntityType.out
- mainIdstring
- subTypemetadata.audit_log.SubEntityType.out
- namestring
- ordinalinteger<int32>
- subIdstring
- summarymetadata.audit_log.ChangeSummary.out[]Description
- fieldstring
- actionmetadata.audit_log.ChangeSummary.Action.out
- actormetadata.audit_log.entry.Actor.outDescription
- typemetadata.audit_log.entry.ActorType.outDescription
- idstringDescription
- updatedObjectjava.lang.Object.outDescription
curl
curl --request GET \
--url https://app.amberflo.io/audit-log/{id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/audit-log/{id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/audit-log/{id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/audit-log/{id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"id": "",
"changeTimeInMillis": "",
"mainType": "",
"mainId": "",
"subType": {
"name": "",
"ordinal": ""
},
"subId": "",
"summary": [
{
"field": "",
"action": ""
}
],
"actor": {
"type": "",
"id": ""
},
"updatedObject": {}
}